changeset 416:fbdcd908aa7c noffle

[svn] fixed udpate-inetd
author godisch
date Fri, 20 Jun 2003 06:46:49 +0100
parents a7dbefcafc43
children e5153104fbd9
files debian/postinst
diffstat 1 files changed, 8 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/debian/postinst	Fri Jun 20 06:46:35 2003 +0100
+++ b/debian/postinst	Fri Jun 20 06:46:49 2003 +0100
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: postinst 554 2003-06-19 22:25:30Z godisch $
+# $Id: postinst 559 2003-06-20 05:46:49Z godisch $
 
 set -e
 
@@ -32,8 +32,6 @@
 	mv -f /etc/noffle.conf.old $server_config.old 2> /dev/null || :
 fi
 
-# maybe disabled only, e.g. dpkg -r noffle
-update-inetd --remove "/usr/bin/noffle -r" || :
 if [ -e /usr/share/debconf/confmodule ]; then
 	. /usr/share/debconf/confmodule
 	db_version 2.0
@@ -44,6 +42,8 @@
 		if [ -z "$port" -o "$port" = 119 ]; then
 			port=nntp
 		fi
+		# maybe disabled only, e.g. dpkg -r noffle
+		update-inetd --remove "/usr/bin/noffle -r" || :
 		update-inetd --group MAIL --add "$port\tstream\ttcp\tnowait\tnews\t/usr/sbin/tcpd /usr/bin/noffle -r"
 		db_get noffle/server
 		server="$RET"
@@ -103,7 +103,11 @@
 		cp -f /usr/share/noffle/conf.debian $debian_config.new
 		mv -fb $debian_config.new $debian_config
 	fi
-	update-inetd --group MAIL --add "nntp\tstream\ttcp\tnowait\tnews\t/usr/sbin/tcpd /usr/bin/noffle -r"
+	if ! grep -q "/usr/bin/noffle -r" /etc/inetd.conf; then
+		# just an example, the user need to activate it himself
+		update-inetd --group MAIL --add "nntp\tstream\ttcp\tnowait\tnews\t/usr/sbin/tcpd /usr/bin/noffle -r"
+		update-inetd --disable "$port"
+	fi
 fi
 
 # sanity checks